class ch0313{
  static protected int a,b;      //必须为static成员
  public static void main(String args[]){
      a=17; b=27;
      int k=0,g;
      g=result();   System.out.print("调用result( )结果：");
      if(g==-1)     System.out.println(""+a+"和"+b+"无最大公约数!");
      else          System.out.println(""+a+"和"+b+"的最大公约数为："+g);
      g=result(k);  System.out.print("调用result(k)结果：");
      if(g==-1)     System.out.println(""+a+"和"+b+"无最大公约数!");
      else          System.out.println(""+a+"和"+b+"的最大公约数为："+g);
  }

  static int result(int k){
    if(a>b)      {int temp=a; a=b; b=temp; }
    for(k=a;k>=2;k--)
       if(a%k==0 && b%k==0)   return  k;
    return-1;
  }

  static int result( ){
    int u,v,r;
    u=a;  v=b;
    r=u%v;
    while(r!=0)
      {u=v; v=r; r=u%v;  }
    if(v==1)       return -1;
    else           return v;
  }
}


